import 'package:fis_jsonrpc/rpc.dart';

import 'base.dart';

abstract class ITemplateManager implements IManager {
  /// 获取系统模板设置
  Future<SyncSettingsDTO?> syncSetting(SyncSettingRequest request);

  Future<TemplateDTO?> getTemplateDetail(GetTemplateRequest request);

  /// 系统模板写进内存
  Future<bool?> saveTemplate();

  /// 查询模板
  Future<String?> readTemplate(String code);
}
